
TYPO3.Flow - Bug # 10180

Status: Resolved Priority: Should have
Author: Steffen Kamper Category: Cache
Created: 2010-10-10 Assigned To: Karsten Dambekalns
Updated: 2010-11-08 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Text of exception in StringCache
Description

to be synced it would be nice if you change the text in flow3 too.

In v4 we changed the exception message from

'Only strings can be digested by the StringCache. Thanks.'

to

'Given data is of type "' . gettype($string) . '", but a string is expected for string cache.'

Associated revisions
Revision 68bc829b - 2010-11-08 11:19 - Christian Kuhn

[+BUGFIX] FLOW3 (Cache): Improve exception message in StringCache

Synchronize rev. 9024 in TYPO3v4 caching framework to FLOW3.

Fixes: #10180
Change-Id: I7c2f2b8a01a5e6b582158f69b9920ee38c41354a

History
#1 - 2010-10-11 23:20 - Karsten Dambekalns
- Project changed from 30 to TYPO3.Flow
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2010-10-11 23:20 - Karsten Dambekalns
- Category set to Cache
- Target version set to 1.0 alpha 13

#3 - 2010-11-08 11:22 - Karsten Dambekalns
- Status changed from Accepted to Under Review

https://review.typo3.org/286
#4 - 2010-11-08 11:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"68bc829b843537d1c9009f1caf354255b3d42a08".
